Bug 58897 - Improve JUnit Test code
Summary: Improve JUnit Test code
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 2.13
Hardware: All All
: P2 enhancement (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords: PatchAvailable
Depends on: 59165
Blocks:
  Show dependency tree
 
Reported: 2016-01-20 14:29 UTC by benoit.wiart
Modified: 2016-05-07 12:52 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description benoit.wiart 2016-01-20 14:29:42 UTC
- It's not possible to use modern JUnit contruct (junit 4+) @Test, @RunWith, etc
- The test code hide some errors

For example TestSamplingStatCalculator is not executed with ant as it's a junit4 test (it works fine in your IDE)
Some code added a few years ago silently disabled a *lot* of tests : 
when run in headless mode (apache build bot ?) a HeadlessException is thrown but wrapped in an ExceptionInInitializerError
this error stop the JmeterTest suite and the following tests are disabled
- suiteSerializableElements
- suiteTestElements
- suiteBeanComponents
- new JMeterTest("createFunctionSet"));
- suiteFunctions
- new JMeterTest("checkGuiSet"));
- new JMeterTest("checkFunctionSet"));        
- new JMeterTest("resetLocale")

Looks like the test code was frozen when an asteroid hit earth and killed all the dinosaurs.
Comment 1 benoit.wiart 2016-01-20 14:32:00 UTC
PR https://github.com/apache/jmeter/pull/84
you should not merge this PR as this
it will enable tests that will probably failed
Those tests need to be reviewed by a jmeter ninja or an archaeologist
Comment 2 benoit.wiart 2016-01-21 08:19:53 UTC
I have a patch for the junit 4 support + exception management.
I need to split it into several PRs to make it reviewable.

Can a committer merge https://github.com/apache/jmeter/pull/81/files before I start providing the PRs ?
Comment 3 benoit.wiart 2016-01-21 21:03:35 UTC
Step 1

- Move jorphan class finder to a more flexible solution when searching for
classes (visitor / filter pattern)
- Use it as preparatory step in Jorphan AllTests
- Explicitly exclude JMeterTest and TestMenuFactory in headless mode
- remove commented code & outdated comments

No change in the number of executed tests *

* in headless mode TestMenuFactory is now excluded, it was previously running as a side effect of the *strange* exception management, but it need a graphics environment.

Jorphan AllTests is a stinky monkey.

PR https://github.com/apache/jmeter/pull/85
Comment 4 Philippe Mouawad 2016-01-28 22:23:44 UTC
Date: Thu Jan 28 22:23:23 2016
New Revision: 1727442

URL: http://svn.apache.org/viewvc?rev=1727442&view=rev
Log:
Bug 58897 : Improve JUnit Test code
#resolve #85
Bugzilla Id: 58897

Added:
    jmeter/trunk/src/jorphan/org/apache/jorphan/reflect/ClassFilter.java   (with props)
Modified:
    jmeter/trunk/src/jorphan/org/apache/jorphan/reflect/ClassFinder.java
    jmeter/trunk/test/src/org/apache/jmeter/gui/util/TestMenuFactory.java
    jmeter/trunk/test/src/org/apache/jmeter/junit/JMeterTest.java
    jmeter/trunk/test/src/org/apache/jorphan/test/AllTests.java
    jmeter/trunk/xdocs/changes.xml
Comment 5 benoit.wiart 2016-01-28 23:32:46 UTC
Step 2

Update the junit tests execution to a recent junit runner
No change in the number of executed tests
The console output change but not the process return code

Not that while it's a recent runner you can not use pure junit annotation tests as they're not detected in the classpath.
It will be done in a subsequent patch

This has only been tested locally, it *should* work on the bot.

PR https://github.com/apache/jmeter/pull/94
Comment 6 benoit.wiart 2016-01-30 12:27:04 UTC
Step 3 : execute JUnit 4 tests

We now scan for classes that extends TestCase (junit3) and for classes that have at least one method annotated with @Test
2 new tests executed in TestSamplingStatCalculator

PR https://github.com/apache/jmeter/pull/95
Comment 7 Philippe Mouawad 2016-02-01 20:22:30 UTC
Date: Mon Feb  1 20:21:30 2016
New Revision: 1727996

URL: http://svn.apache.org/viewvc?rev=1727996&view=rev
Log:
Bug 58897 : Improve JUnit Test code
Part 3
#resolve #95
Bugzilla Id: 58897

Modified:
    jmeter/trunk/test/src/org/apache/jorphan/test/AllTests.java
Comment 8 benoit.wiart 2016-02-01 21:46:29 UTC
Step 4 : convert existing tests

this patch is "mechanical"
No change in the number of executed tests
the "suite" style tests kept a junit 3 hierarchy

PR https://github.com/apache/jmeter/pull/100
Comment 9 Philippe Mouawad 2016-02-02 21:27:18 UTC
Date: Tue Feb  2 21:26:49 2016
New Revision: 1728218

URL: http://svn.apache.org/viewvc?rev=1728218&view=rev
Log:
Bug 58897 - Improve JUnit Test code STEP 4
Part 1 patch by B. Wiart
Bugzilla Id: 58897

Modified:
    jmeter/trunk/test/src/org/apache/jmeter/timers/PackageTest.java
    jmeter/trunk/test/src/org/apache/jmeter/util/PackageTest.java
    jmeter/trunk/test/src/org/apache/jmeter/util/TestJMeterUtils.java
    jmeter/trunk/test/src/org/apache/jmeter/visualizers/TestRenderAsJson.java
    jmeter/trunk/test/src/org/apache/jorphan/TestFunctorUsers.java
    jmeter/trunk/test/src/org/apache/jorphan/TestXMLBuffer.java
    jmeter/trunk/test/src/org/apache/jorphan/collections/PackageTest.java
    jmeter/trunk/test/src/org/apache/jorphan/exec/TestKeyToolUtils.java
    jmeter/trunk/test/src/org/apache/jorphan/math/TestStatCalculator.java
    jmeter/trunk/test/src/org/apache/jorphan/reflect/TestClassTools.java
    jmeter/trunk/test/src/org/apache/jorphan/reflect/TestFunctor.java
    jmeter/trunk/test/src/org/apache/jorphan/util/TestConverter.java
    jmeter/trunk/test/src/org/apache/jorphan/util/TestJorphanUtils.java
Comment 10 Philippe Mouawad 2016-02-02 21:31:50 UTC
Date: Tue Feb  2 21:30:46 2016
New Revision: 1728219

URL: http://svn.apache.org/viewvc?rev=1728219&view=rev
Log:
Bug 58897 - Improve JUnit Test code STEP 4
Part 2 patch by B. Wiart
Bugzilla Id: 58897

Modified:
    jmeter/trunk/test/src/org/apache/jmeter/report/core/SampleMetadataTest.java
    jmeter/trunk/test/src/org/apache/jmeter/report/core/TestCsvSampleWriter.java
    jmeter/trunk/test/src/org/apache/jmeter/report/processor/FieldSampleComparatorTest.java
    jmeter/trunk/test/src/org/apache/jmeter/samplers/TestSampleResult.java
    jmeter/trunk/test/src/org/apache/jmeter/samplers/TestSampleSaveConfiguration.java
    jmeter/trunk/test/src/org/apache/jmeter/save/TestCSVSaveService.java
    jmeter/trunk/test/src/org/apache/jmeter/save/TestSaveService.java
    jmeter/trunk/test/src/org/apache/jmeter/services/TestFileServer.java
    jmeter/trunk/test/src/org/apache/jmeter/testbeans/gui/PackageTest.java
    jmeter/trunk/test/src/org/apache/jmeter/testbeans/gui/TestBooleanPropertyEditor.java
    jmeter/trunk/test/src/org/apache/jmeter/testbeans/gui/TestComboStringEditor.java
    jmeter/trunk/test/src/org/apache/jmeter/testbeans/gui/TestFieldStringEditor.java
    jmeter/trunk/test/src/org/apache/jmeter/testelement/PackageTest.java
    jmeter/trunk/test/src/org/apache/jmeter/testelement/property/PackageTest.java
    jmeter/trunk/test/src/org/apache/jmeter/threads/TestJMeterContextService.java
    jmeter/trunk/test/src/org/apache/jmeter/threads/TestTestCompiler.java
Comment 11 Philippe Mouawad 2016-02-02 21:38:58 UTC
Date: Tue Feb  2 21:35:58 2016
New Revision: 1728220

URL: http://svn.apache.org/viewvc?rev=1728220&view=rev
Log:
Bug 58897 - Improve JUnit Test code STEP 4
Part 3 patch by B. Wiart
Bugzilla Id: 58897

Modified:
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/proxy/TestHttpRequestHdr.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/proxy/TestProxyControl.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/sampler/PostWriterTest.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/sampler/PutWriterTest.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/sampler/TestHTTPSamplers.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/sampler/TestHTTPSamplersAgainstHttpMirrorServer.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/util/TestHTTPArgument.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/util/TestHTTPFileArg.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/util/TestHTTPFileArgs.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/util/TestHTTPUtils.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/util/accesslog/TestLogFilter.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/util/accesslog/TestTCLogParser.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/ldap/config/gui/PackageTest.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/tcp/sampler/BinaryTCPClientImplTest.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/tcp/sampler/LengthPrefixedBinaryTCPClientImplTest.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/tcp/sampler/TCPClientDecoratorTest.java
Comment 12 Philippe Mouawad 2016-02-02 21:43:26 UTC
Date: Tue Feb  2 21:39:15 2016
New Revision: 1728221

URL: http://svn.apache.org/viewvc?rev=1728221&view=rev
Log:
Bug 58897 - Improve JUnit Test code STEP 4
Part 4 patch by B. Wiart
Bugzilla Id: 58897

Modified:
    jmeter/trunk/test/src/org/apache/jmeter/monitor/model/TestObjectFactory.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/config/MultipartUrlConfigTest.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/config/UrlConfigTest.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/control/TestAuthManager.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/control/TestCacheManager.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/control/TestCacheManagerHC4.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/control/TestCookieManager.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/control/TestDNSCacheManager.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/control/gui/TestHttpTestSampleGui.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/modifier/TestAnchorModifier.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/modifier/TestURLRewritingModifier.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/parser/TestHTMLParser.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/parser/TestHtmlParsingUtils.java
Comment 13 Philippe Mouawad 2016-02-02 21:47:08 UTC
Date: Tue Feb  2 21:45:57 2016
New Revision: 1728223

URL: http://svn.apache.org/viewvc?rev=1728223&view=rev
Log:
Bug 58897 - Improve JUnit Test code
#resolve #100
Bugzilla Id: 58897

Added:
    jmeter/trunk/test/src/org/apache/jmeter/junit/JMeterTestCaseJUnit3.java   (with props)
Modified:
    jmeter/trunk/test/src/org/apache/commons/cli/avalon/ClutilTestCase.java
    jmeter/trunk/test/src/org/apache/jmeter/JMeterVersionTest.java
    jmeter/trunk/test/src/org/apache/jmeter/assertions/MD5HexAssertionTest.java
    jmeter/trunk/test/src/org/apache/jmeter/assertions/ResponseAssertionTest.java
    jmeter/trunk/test/src/org/apache/jmeter/assertions/SMIMEAssertionTest.java
    jmeter/trunk/test/src/org/apache/jmeter/assertions/SizeAssertionTest.java
    jmeter/trunk/test/src/org/apache/jmeter/assertions/XMLSchemaAssertionTest.java
    jmeter/trunk/test/src/org/apache/jmeter/assertions/XPathAssertionTest.java
    jmeter/trunk/test/src/org/apache/jmeter/config/TestCVSDataSet.java
    jmeter/trunk/test/src/org/apache/jmeter/config/gui/TestArgumentsPanel.java
    jmeter/trunk/test/src/org/apache/jmeter/control/TestGenericController.java
    jmeter/trunk/test/src/org/apache/jmeter/control/TestIfController.java
    jmeter/trunk/test/src/org/apache/jmeter/control/TestInterleaveControl.java
    jmeter/trunk/test/src/org/apache/jmeter/control/TestLoopController.java
    jmeter/trunk/test/src/org/apache/jmeter/control/TestOnceOnlyController.java
    jmeter/trunk/test/src/org/apache/jmeter/control/TestRandomOrderController.java
    jmeter/trunk/test/src/org/apache/jmeter/control/TestRunTime.java
    jmeter/trunk/test/src/org/apache/jmeter/control/TestSwitchController.java
    jmeter/trunk/test/src/org/apache/jmeter/control/TestThroughputController.java
    jmeter/trunk/test/src/org/apache/jmeter/control/TestWhileController.java
    jmeter/trunk/test/src/org/apache/jmeter/engine/DistributedRunnerTest.java
    jmeter/trunk/test/src/org/apache/jmeter/engine/TestTreeCloner.java
    jmeter/trunk/test/src/org/apache/jmeter/engine/util/PackageTest.java
    jmeter/trunk/test/src/org/apache/jmeter/engine/util/TestValueReplacer.java
    jmeter/trunk/test/src/org/apache/jmeter/extractor/TestRegexExtractor.java
    jmeter/trunk/test/src/org/apache/jmeter/extractor/TestXPathExtractor.java
    jmeter/trunk/test/src/org/apache/jmeter/functions/PackageTest.java
    jmeter/trunk/test/src/org/apache/jmeter/functions/TestFileRowColContainer.java
    jmeter/trunk/test/src/org/apache/jmeter/functions/TestJexl2Function.java
    jmeter/trunk/test/src/org/apache/jmeter/functions/TestJexl3Function.java
    jmeter/trunk/test/src/org/apache/jmeter/functions/TestJexlFunction.java
    jmeter/trunk/test/src/org/apache/jmeter/functions/TestRegexFunction.java
    jmeter/trunk/test/src/org/apache/jmeter/functions/TestTimeFunction.java
    jmeter/trunk/test/src/org/apache/jmeter/gui/action/TestLoad.java
    jmeter/trunk/test/src/org/apache/jmeter/gui/action/TestSave.java
    jmeter/trunk/test/src/org/apache/jmeter/gui/util/JSyntaxTextAreaTest.java
    jmeter/trunk/test/src/org/apache/jmeter/gui/util/TestMenuFactory.java
    jmeter/trunk/test/src/org/apache/jmeter/junit/JMeterTest.java
    jmeter/trunk/test/src/org/apache/jmeter/junit/JMeterTestCase.java
    jmeter/trunk/xdocs/changes.xml
Comment 14 benoit.wiart 2016-02-03 15:25:11 UTC
Step 5

misc clean up
remove empty test
remove commented code
split some tests
explicitly disable org.apache.jmeter.protocol.http.sampler.PackageTest when in headless mode

PR https://github.com/apache/jmeter/pull/104
Comment 15 benoit.wiart 2016-02-03 15:27:01 UTC
reopen as i have 1 more step (see comment 14)
Comment 16 benoit.wiart 2016-02-03 15:27:58 UTC
After step 5 this bug could be closed.
Comment 17 Philippe Mouawad 2016-02-04 08:21:04 UTC
Date: Thu Feb  4 08:14:13 2016
New Revision: 1728418

URL: http://svn.apache.org/viewvc?rev=1728418&view=rev
Log:
Bug 58897 - Improve JUnit Test code STEP 5
patch by B. Wiart
#resolve #104
Bugzilla Id: 58897

Added:
    jmeter/trunk/test/src/org/apache/jmeter/functions/EvalFunctionTest.java   (with props)
    jmeter/trunk/test/src/org/apache/jmeter/functions/FunctionTestHelper.java   (with props)
    jmeter/trunk/test/src/org/apache/jmeter/functions/RandomFunctionTest.java   (with props)
    jmeter/trunk/test/src/org/apache/jmeter/functions/StringFromFileFunctionTest.java   (with props)
    jmeter/trunk/test/src/org/apache/jmeter/functions/SumFunctionTest.java   (with props)
    jmeter/trunk/test/src/org/apache/jmeter/functions/VariableTest.java   (with props)
Removed:
    jmeter/trunk/test/src/org/apache/jmeter/gui/action/PackageTest.java
Modified:
    jmeter/trunk/src/functions/org/apache/jmeter/functions/EvalFunction.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/EvalVarFunction.java
    jmeter/trunk/test/src/org/apache/jmeter/assertions/SizeAssertionTest.java
    jmeter/trunk/test/src/org/apache/jmeter/assertions/XMLSchemaAssertionTest.java
    jmeter/trunk/test/src/org/apache/jmeter/assertions/XPathAssertionTest.java
    jmeter/trunk/test/src/org/apache/jmeter/engine/util/TestValueReplacer.java
    jmeter/trunk/test/src/org/apache/jmeter/functions/PackageTest.java
    jmeter/trunk/test/src/org/apache/jmeter/gui/action/TestLoad.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/modifier/TestURLRewritingModifier.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/parser/TestHTMLParser.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/sampler/PackageTest.java
    jmeter/trunk/test/src/org/apache/jmeter/testbeans/gui/PackageTest.java
    jmeter/trunk/test/src/org/apache/jmeter/testbeans/gui/TestBooleanPropertyEditor.java
    jmeter/trunk/test/src/org/apache/jmeter/testbeans/gui/TestComboStringEditor.java
Comment 18 benoit.wiart 2016-02-04 13:05:19 UTC
what's left :
- use junit categories to disable non headless tests (Bug 58967)
- split the *.PackageTest into individual tests
- remove / convert the last junit 3 tests
Comment 19 Sebb 2016-03-09 11:10:18 UTC
The commit
 http://svn.apache.org/viewvc?rev=1727442&view=rev
disabled org.apache.jmeter.junit.JMeterTest completely for non-GUI environments

This is wrong, as a lot of the tests in that class do not require a GUI.
Comment 20 Sebb 2016-03-10 18:49:22 UTC
It looks like the problem was caused by RSyntaxTextArea.

It's not possible to instantiate it if the code is running Headless.
This is not the case for JTextArea, which can at least be instantiated, even if it cannot be used.

I think this needs to be resolved somehow, because there are some useful tests that cannot be run under Jenkins etc. For example, checking that the GUI components have entries in component_reference.

Ideally RSyntaxtTextArea should behave like JTextArea and allow non-Headless instantiation, but that may take a while to get fixed.

Other approaches:
- change the GUI classes that use the class to delay instantiation until actually needed. This may be tricky to do.
- change the JMeter class JSyntaxTextArea to use static getInstance methods instead of ctors; these can handle the Headless issue. This may also be tricky.
Comment 21 Sebb 2016-03-11 13:35:36 UTC
(In reply to Sebb from comment #20)
> It looks like the problem was caused by RSyntaxTextArea.
> 

See Bug 59165 regarding RSyntaxTextArea
Comment 22 Sebb 2016-03-11 13:44:00 UTC
URL: http://svn.apache.org/viewvc?rev=1734556&view=rev
Log:
 Improve JUnit Test code
 Re-enable headless testing
Bugzilla Id: 58897

Modified:
    jmeter/trunk/test/src/org/apache/jmeter/junit/JMeterTest.java
Comment 23 Philippe Mouawad 2016-03-11 17:39:07 UTC
(In reply to Sebb from comment #19)
> The commit
>  http://svn.apache.org/viewvc?rev=1727442&view=rev
> disabled org.apache.jmeter.junit.JMeterTest completely for non-GUI
> environments
> 
> This is wrong, as a lot of the tests in that class do not require a GUI.

(In reply to benoit.wiart from comment #18)
> what's left :
> - use junit categories to disable non headless tests (Bug 58967)
> - split the *.PackageTest into individual tests
> - remove / convert the last junit 3 tests

I don't think it's the commit that did this.
All changes done in this task (a lot) enabled much cleaned management of Headless case.
Nothing was disabled accidentaly.
As you can see through Bug 59165, the issue with JSyntaxTextarea was always here.

Regards
Comment 24 Sebb 2016-05-07 11:59:23 UTC
(In reply to Philippe Mouawad from comment #13)
> Date: Tue Feb  2 21:45:57 2016
> New Revision: 1728223
> 
> URL: http://svn.apache.org/viewvc?rev=1728223&view=rev
> Log:
> Bug 58897 - Improve JUnit Test code
> #resolve #100
> Bugzilla Id: 58897
> 
> Added:
>     jmeter/trunk/test/src/org/apache/jmeter/junit/JMeterTestCaseJUnit3.java 
> (with props)
> Modified:
>     jmeter/trunk/test/src/org/apache/commons/cli/avalon/ClutilTestCase.java
>     jmeter/trunk/test/src/org/apache/jmeter/JMeterVersionTest.java
>    
> jmeter/trunk/test/src/org/apache/jmeter/assertions/MD5HexAssertionTest.java
>    
> jmeter/trunk/test/src/org/apache/jmeter/assertions/ResponseAssertionTest.java
>    
> jmeter/trunk/test/src/org/apache/jmeter/assertions/SMIMEAssertionTest.java
>     jmeter/trunk/test/src/org/apache/jmeter/assertions/SizeAssertionTest.java
>    
> jmeter/trunk/test/src/org/apache/jmeter/assertions/XMLSchemaAssertionTest.
> java
>    
> jmeter/trunk/test/src/org/apache/jmeter/assertions/XPathAssertionTest.java
>     jmeter/trunk/test/src/org/apache/jmeter/config/TestCVSDataSet.java
>    
> jmeter/trunk/test/src/org/apache/jmeter/config/gui/TestArgumentsPanel.java
>    
> jmeter/trunk/test/src/org/apache/jmeter/control/TestGenericController.java
>     jmeter/trunk/test/src/org/apache/jmeter/control/TestIfController.java
>    
> jmeter/trunk/test/src/org/apache/jmeter/control/TestInterleaveControl.java
>     jmeter/trunk/test/src/org/apache/jmeter/control/TestLoopController.java
>    
> jmeter/trunk/test/src/org/apache/jmeter/control/TestOnceOnlyController.java
>    
> jmeter/trunk/test/src/org/apache/jmeter/control/TestRandomOrderController.
> java
>     jmeter/trunk/test/src/org/apache/jmeter/control/TestRunTime.java
>     jmeter/trunk/test/src/org/apache/jmeter/control/TestSwitchController.java
>    
> jmeter/trunk/test/src/org/apache/jmeter/control/TestThroughputController.java
>     jmeter/trunk/test/src/org/apache/jmeter/control/TestWhileController.java
>     jmeter/trunk/test/src/org/apache/jmeter/engine/DistributedRunnerTest.java
>     jmeter/trunk/test/src/org/apache/jmeter/engine/TestTreeCloner.java
>     jmeter/trunk/test/src/org/apache/jmeter/engine/util/PackageTest.java
>    
> jmeter/trunk/test/src/org/apache/jmeter/engine/util/TestValueReplacer.java
>     jmeter/trunk/test/src/org/apache/jmeter/extractor/TestRegexExtractor.java
>     jmeter/trunk/test/src/org/apache/jmeter/extractor/TestXPathExtractor.java
>     jmeter/trunk/test/src/org/apache/jmeter/functions/PackageTest.java
>    
> jmeter/trunk/test/src/org/apache/jmeter/functions/TestFileRowColContainer.
> java
>     jmeter/trunk/test/src/org/apache/jmeter/functions/TestJexl2Function.java
>     jmeter/trunk/test/src/org/apache/jmeter/functions/TestJexl3Function.java
>     jmeter/trunk/test/src/org/apache/jmeter/functions/TestJexlFunction.java
>     jmeter/trunk/test/src/org/apache/jmeter/functions/TestRegexFunction.java
>     jmeter/trunk/test/src/org/apache/jmeter/functions/TestTimeFunction.java
>     jmeter/trunk/test/src/org/apache/jmeter/gui/action/TestLoad.java
>     jmeter/trunk/test/src/org/apache/jmeter/gui/action/TestSave.java
>     jmeter/trunk/test/src/org/apache/jmeter/gui/util/JSyntaxTextAreaTest.java
>     jmeter/trunk/test/src/org/apache/jmeter/gui/util/TestMenuFactory.java
>     jmeter/trunk/test/src/org/apache/jmeter/junit/JMeterTest.java
>     jmeter/trunk/test/src/org/apache/jmeter/junit/JMeterTestCase.java
>     jmeter/trunk/xdocs/changes.xml

This has has broken Test classes that depend on JMeterTestCase.

They cannot now be run stand-alone because JMeterTestCase no longer extends TestCase.
Comment 25 Sebb 2016-05-07 12:52:42 UTC
(In reply to Sebb from comment #24)
> (In reply to Philippe Mouawad from comment #13)
> > Date: Tue Feb  2 21:45:57 2016
> > New Revision: 1728223
> > 
> > URL: http://svn.apache.org/viewvc?rev=1728223&view=rev
> > Log:
> > Bug 58897 - Improve JUnit Test code
> > #resolve #100
> > Bugzilla Id: 58897
> > 
> > Added:
> >     jmeter/trunk/test/src/org/apache/jmeter/junit/JMeterTestCaseJUnit3.java 
> > (with props)
> > Modified:
> >     jmeter/trunk/test/src/org/apache/commons/cli/avalon/ClutilTestCase.java
> >     jmeter/trunk/test/src/org/apache/jmeter/JMeterVersionTest.java
> >    
> > jmeter/trunk/test/src/org/apache/jmeter/assertions/MD5HexAssertionTest.java
> >    
> > jmeter/trunk/test/src/org/apache/jmeter/assertions/ResponseAssertionTest.java
> >    
> > jmeter/trunk/test/src/org/apache/jmeter/assertions/SMIMEAssertionTest.java
> >     jmeter/trunk/test/src/org/apache/jmeter/assertions/SizeAssertionTest.java
> >    
> > jmeter/trunk/test/src/org/apache/jmeter/assertions/XMLSchemaAssertionTest.
> > java
> >    
> > jmeter/trunk/test/src/org/apache/jmeter/assertions/XPathAssertionTest.java
> >     jmeter/trunk/test/src/org/apache/jmeter/config/TestCVSDataSet.java
> >    
> > jmeter/trunk/test/src/org/apache/jmeter/config/gui/TestArgumentsPanel.java
> >    
> > jmeter/trunk/test/src/org/apache/jmeter/control/TestGenericController.java
> >     jmeter/trunk/test/src/org/apache/jmeter/control/TestIfController.java
> >    
> > jmeter/trunk/test/src/org/apache/jmeter/control/TestInterleaveControl.java
> >     jmeter/trunk/test/src/org/apache/jmeter/control/TestLoopController.java
> >    
> > jmeter/trunk/test/src/org/apache/jmeter/control/TestOnceOnlyController.java
> >    
> > jmeter/trunk/test/src/org/apache/jmeter/control/TestRandomOrderController.
> > java
> >     jmeter/trunk/test/src/org/apache/jmeter/control/TestRunTime.java
> >     jmeter/trunk/test/src/org/apache/jmeter/control/TestSwitchController.java
> >    
> > jmeter/trunk/test/src/org/apache/jmeter/control/TestThroughputController.java
> >     jmeter/trunk/test/src/org/apache/jmeter/control/TestWhileController.java
> >     jmeter/trunk/test/src/org/apache/jmeter/engine/DistributedRunnerTest.java
> >     jmeter/trunk/test/src/org/apache/jmeter/engine/TestTreeCloner.java
> >     jmeter/trunk/test/src/org/apache/jmeter/engine/util/PackageTest.java
> >    
> > jmeter/trunk/test/src/org/apache/jmeter/engine/util/TestValueReplacer.java
> >     jmeter/trunk/test/src/org/apache/jmeter/extractor/TestRegexExtractor.java
> >     jmeter/trunk/test/src/org/apache/jmeter/extractor/TestXPathExtractor.java
> >     jmeter/trunk/test/src/org/apache/jmeter/functions/PackageTest.java
> >    
> > jmeter/trunk/test/src/org/apache/jmeter/functions/TestFileRowColContainer.
> > java
> >     jmeter/trunk/test/src/org/apache/jmeter/functions/TestJexl2Function.java
> >     jmeter/trunk/test/src/org/apache/jmeter/functions/TestJexl3Function.java
> >     jmeter/trunk/test/src/org/apache/jmeter/functions/TestJexlFunction.java
> >     jmeter/trunk/test/src/org/apache/jmeter/functions/TestRegexFunction.java
> >     jmeter/trunk/test/src/org/apache/jmeter/functions/TestTimeFunction.java
> >     jmeter/trunk/test/src/org/apache/jmeter/gui/action/TestLoad.java
> >     jmeter/trunk/test/src/org/apache/jmeter/gui/action/TestSave.java
> >     jmeter/trunk/test/src/org/apache/jmeter/gui/util/JSyntaxTextAreaTest.java
> >     jmeter/trunk/test/src/org/apache/jmeter/gui/util/TestMenuFactory.java
> >     jmeter/trunk/test/src/org/apache/jmeter/junit/JMeterTest.java
> >     jmeter/trunk/test/src/org/apache/jmeter/junit/JMeterTestCase.java
> >     jmeter/trunk/xdocs/changes.xml
> 
> This has has broken Test classes that depend on JMeterTestCase.
> 
> They cannot now be run stand-alone because JMeterTestCase no longer extends
> TestCase.

Ignore that. The problem is that JMeterTestCase used to support JUnit3; it now only supports JUnit4.